Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.query.parser
Class BoolExprTree

    java.lang.Object
      org.ascape.query.parser.BoolExprTree

All Implemented Interfaces:
  BoolExprTreeConstants, BoolExprTreeTreeConstants

    public class BoolExprTree

extends java.lang.Object
implements BoolExprTreeTreeConstants, BoolExprTreeConstants

Field Summary
`static java.lang.String[]` | `argtests`
`Token` | `jj_nt`
`protected org.ascape.query.parser.JJTBoolExprTreeState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`BoolExprTreeTokenManager` | `token_source`

Fields inherited from interface org.ascape.query.parser.BoolExprTreeTreeConstants
`JJTBOOLEANAND, JJTBOOLEANOR, JJTBOOLEANPHRASE, JJTCONTAINS, JJTCRITERIA, JJTEQUAL, JJTFIELD, JJTGREATERTHAN, JJTINPUT, JJTLESSTHAN, jjtNodeName, JJTNONQUOTEDSTRING, JJTNOTEQUAL, JJTNUMBERSTRING, JJTPROPERTY, JJTQUOTEDSTRING, JJTSTARTSWITH, JJTVOID, JJTWILDCARD`

Fields inherited from interface org.ascape.query.parser.BoolExprTreeConstants
`AND, CONTAINS, DEFAULT, EOF, EQUAL, GREATER_THAN, LESS_THAN, NAME, NOT_EQUAL, NUMBER, OR, PERIOD, QUOTED_STRING, STARTS_WITH, tokenImage, WILDCARD`

Constructor Summary
`BoolExprTree(BoolExprTreeTokenManager tm)`
`BoolExprTree(java.io.InputStream stream)`
`BoolExprTree(java.io.Reader stream)`

Method Summary
`void` | `BooleanAnd()`
`void` | `BooleanOperand()`
`void` | `BooleanOperator()`
`void` | `BooleanOr()`
`void` | `BooleanPhrase()`
`void` | `ComparisonOperator()`
`void` | `Contains()`
`void` | `Criteria()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`void` | `Equal()`
`void` | `Field()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `GreaterThan()`
`void` | `Input()`
`void` | `LessThan()`
`static void` | `main(java.lang.String[] args)`
`void` | `NonQuotedString()`
`void` | `NotEqual()`
`void` | `NumberString()`
`static QTInput` | `parse(java.lang.String exp)`
`void` | `Property()`
`void` | `QuotedString()`
`void` | `ReInit(BoolExprTreeTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `StartsWith()`
`void` | `SubExpression()`
`void` | `WildCard()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected org.ascape.query.parser.JJTBoolExprTreeState jjtree

### argtests

    public static java.lang.String[] argtests

### token_source

    public BoolExprTreeTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### BoolExprTree

    public BoolExprTree(java.io.InputStream stream)

### BoolExprTree

    public BoolExprTree(java.io.Reader stream)

### BoolExprTree

    public BoolExprTree(BoolExprTreeTokenManager tm)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws ParseException

  Throws:
    `ParseException`

### parse

    public static QTInput parse(java.lang.String exp)
                         throws ParseException

  Throws:
    `ParseException`

### Input

    public final void Input()
                     throws ParseException

  Throws:
    `ParseException`

### BooleanPhrase

    public final void BooleanPhrase()
                             throws ParseException

  Throws:
    `ParseException`

### BooleanOperand

    public final void BooleanOperand()
                              throws ParseException

  Throws:
    `ParseException`

### BooleanOperator

    public final void BooleanOperator()
                               throws ParseException

  Throws:
    `ParseException`

### BooleanAnd

    public final void BooleanAnd()
                          throws ParseException

  Throws:
    `ParseException`

### BooleanOr

    public final void BooleanOr()
                         throws ParseException

  Throws:
    `ParseException`

### SubExpression

    public final void SubExpression()
                             throws ParseException

  Throws:
    `ParseException`

### Criteria

    public final void Criteria()
                        throws ParseException

  Throws:
    `ParseException`

### Property

    public final void Property()
                        throws ParseException

  Throws:
    `ParseException`

### WildCard

    public final void WildCard()
                        throws ParseException

  Throws:
    `ParseException`

### Field

    public final void Field()
                     throws ParseException

  Throws:
    `ParseException`

### ComparisonOperator

    public final void ComparisonOperator()
                                  throws ParseException

  Throws:
    `ParseException`

### Equal

    public final void Equal()
                     throws ParseException

  Throws:
    `ParseException`

### NotEqual

    public final void NotEqual()
                        throws ParseException

  Throws:
    `ParseException`

### LessThan

    public final void LessThan()
                        throws ParseException

  Throws:
    `ParseException`

### GreaterThan

    public final void GreaterThan()
                           throws ParseException

  Throws:
    `ParseException`

### StartsWith

    public final void StartsWith()
                          throws ParseException

  Throws:
    `ParseException`

### Contains

    public final void Contains()
                        throws ParseException

  Throws:
    `ParseException`

### NonQuotedString

    public final void NonQuotedString()
                               throws ParseException

  Throws:
    `ParseException`

### NumberString

    public final void NumberString()
                            throws ParseException

  Throws:
    `ParseException`

### QuotedString

    public final void QuotedString()
                            throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(BoolExprTreeTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD